[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpReadV

Vector read: Read into multiple buffers

## Declaration

Source position: bunxh.inc line 87

`function FpReadV(`
`fd: cint;`
`const iov: piovec;`
`iovcnt: cint`
`):TsSize;`

## Description

FpReadV reads data from file descriptor fd and writes it into iovcnt buffers described by the tiovec buffers pointed to by iov. It works like fpRead only on multiple buffers.

## Errors

On error, -1 is returned.

## See also

FpWriteV |  | Vector write: Write from multiple buffers to a file descriptor
FpPWrite |  | Positional write: write to file descriptor at a certain position.
FpPRead |  | Positional read: read from file descriptor at a certain position.

Documentation generated on: Feb 26 2014